# draugr.writers.csv_writer.CSVWriter

class draugr.writers.csv_writer.CSVWriter(path, **kwargs)

  Bases: `Writer`

  description

  __init__(path, **kwargs)
    Parameters

      - interval –

      - filters –

      - verbose –

  Methods

  `__init__`(path, **kwargs)

  param interval

  `blip`(tag[, step_i])

  param tag

  `close`() | description
  `filter`(tag) | returns a boolean value, true if to be included, False if to be excluded

  `get_csv_writer`([path])

  param path

  `open`() | description

  `scalar`(tag, value[, step_i])

  param tag

  blip(tag: str, step_i: Optional [ int ] = None) → None
    Parameters

      - tag –

      - step_i –

  close() → Any

    description

  filter(tag: str ) → bool

    > returns a boolean value, true if to be included, False if to be excluded

    > tag is in filter if not None and within interval for inclusion

    Parameters

      tag –

    Returns

    Return type

  static get_csv_writer(path: Path = PosixPath('/home/heider/Models')) → Tuple [ TextIO , Any ]
    Parameters

      path –

    Returns

    Return type

  open() → Any

    description

  scalar(tag: str, value: Union [ int , float ], step_i: Optional [ int ] = None) → None
    Parameters

      - tag –

      - value –

      - step_i –